Bug 1410581 - [abrt] gnome-shell: meta_window_wayland_focus(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: meta_window_wayland_focus(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c20970ad74c9d9c11bf71536523...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 19:36 UTC by rh
Modified: 2017-12-12 10:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:14:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (75.39 KB, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: cgroup (242 bytes, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: core_backtrace (18.02 KB, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: dso_list (27.01 KB, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: environ (1.02 KB, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: maps (245.69 KB, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: mountinfo (3.99 KB, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: open_fds (8.38 KB, text/plain)
2017-01-05 19:36 UTC, rh
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-05 19:37 UTC, rh
no flags Details
File: var_log_messages (563 bytes, text/plain)
2017-01-05 19:37 UTC, rh
no flags Details
File: exploitable (131 bytes, application/octet-stream)
2017-01-05 19:37 UTC, rh
no flags Details

Description rh 2017-01-05 19:36:34 UTC
Description of problem:
I had a smb-mounted (via gio) folder open in nautilus when I changed network connection from wireless to wired.
When I tried to access the folder afterwards, the load indicator just kept spinning. Changing the connection probably killed the connection to the samba server, which is OK. I then tried to unmount the share in nautilus, which opened a dialog telling me that it is currently in use. I chose to proceed anyway. Then the nautilus window just went away suddenly, but I couldn't find a nautilus crash in the log. When I tried to reopen nautilus using the launcher in the shell, the shell crashed.

Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_focus
executable:     /usr/bin/gnome-shell
global_pid:     1429
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_window_wayland_focus at wayland/meta-window-wayland.c:122
 #1 meta_window_focus at core/window.c:4323
 #2 meta_window_activate_full at core/window.c:3444
 #3 meta_window_activate at core/window.c:3465
 #4 shell_app_activate_window at shell-app.c:435
 #5 shell_app_activate_full at shell-app.c:523
 #6 ffi_call_unix64 at ../src/x86/unix64.S:76
 #7 ffi_call at ../src/x86/ffi64.c:525
 #8 gjs_invoke_c_function(JSContext*, Function*, JSObject*, unsigned int, jsval*, jsval*, GArgument*) at gi/function.cpp:999
 #9 function_call(JSContext*, unsigned int, jsval*) at gi/function.cpp:1323

Comment 1 rh 2017-01-05 19:36:41 UTC
Created attachment 1237778 [details]
File: backtrace

Comment 2 rh 2017-01-05 19:36:42 UTC
Created attachment 1237779 [details]
File: cgroup

Comment 3 rh 2017-01-05 19:36:44 UTC
Created attachment 1237780 [details]
File: core_backtrace

Comment 4 rh 2017-01-05 19:36:46 UTC
Created attachment 1237781 [details]
File: dso_list

Comment 5 rh 2017-01-05 19:36:47 UTC
Created attachment 1237782 [details]
File: environ

Comment 6 rh 2017-01-05 19:36:49 UTC
Created attachment 1237783 [details]
File: limits

Comment 7 rh 2017-01-05 19:36:54 UTC
Created attachment 1237784 [details]
File: maps

Comment 8 rh 2017-01-05 19:36:56 UTC
Created attachment 1237785 [details]
File: mountinfo

Comment 9 rh 2017-01-05 19:36:57 UTC
Created attachment 1237786 [details]
File: namespaces

Comment 10 rh 2017-01-05 19:36:59 UTC
Created attachment 1237787 [details]
File: open_fds

Comment 11 rh 2017-01-05 19:37:00 UTC
Created attachment 1237788 [details]
File: proc_pid_status

Comment 12 rh 2017-01-05 19:37:01 UTC
Created attachment 1237789 [details]
File: var_log_messages

Comment 13 rh 2017-01-05 19:37:03 UTC
Created attachment 1237790 [details]
File: exploitable

Comment 14 Fedora End Of Life 2017-11-16 14:37:05 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:14:07 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.